<template>
  <div class="container">
    <div class="header">
      <div>
        <el-icon :size="20">
          <Location />
        </el-icon>
        <span>我的位置：</span>
      </div>
      <el-breadcrumb :separator-icon="ArrowRight">
        <el-breadcrumb-item>{{ state.firstClass }}</el-breadcrumb-item>
        <el-breadcrumb-item>{{state.firstClass}}</el-breadcrumb-item>
      </el-breadcrumb>
    </div>
    <div class="main">

    </div>
  </div>
</template>

<script setup>
import {onMounted, ref, reactive, watch, onUnmounted, defineExpose} from "vue"
import { ArrowRight } from '@element-plus/icons-vue'
import {ElMessage} from "element-plus";

const route = useRoute()
const router = useRouter()
const redirect = ref(undefined);
const state = reactive({
  firstClass: '第一级菜单'
})



onMounted(()=>{

})

onUnmounted(()=>{

})

watch(route, (newRoute) => {
  redirect.value = newRoute.query && newRoute.query.redirect;
}, { immediate: true });


defineExpose({

})

</script>

<style lang='scss' scoped>
.container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 170px;
  .header{
    display: flex;
    align-items: center;
    &>div{
      display: flex;
      align-items: center;
    }
  }
}
</style>
